[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# IStream.Stat

return information about the stream.

## Declaration

Source position: types.pp line 326

`function IStream.Stat(`
`out statstg: TStatStg;`
`grfStatFlag: DWORD`
`):HRESULT;`

## Description

Stat returns information about the stream in statstg, taking into account the flags in grfStatFlag (one of the STATFLAG_ constants). The function returns zero if the call was successful.

## Errors

On error, a nonzero exit code is returned.